Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 12 May 2021 10:26:16 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I just want to inquire regarding my delivery under order #9659223934 and 9658675546 I’m almost waiting for 3days already I keep on tracking online it shows out for delivery but and the end of the day it will updated again due to address issue. This is my first time happened like this and I feel so disappointed. Can you please let me know if they cannot deliver so that I can cancel my order.  PLEASE DO ANY ACTION 
Thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2561592